Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkDataSetAttributes::FieldList Class Reference

`#include <vtkDataSetAttributes.h>`

Collaboration diagram for vtkDataSetAttributes::FieldList:

[legend]
List of all members.

## Public Methods
| FieldList (int numInputs)
| ~FieldList ()
void | InitializeFieldList (vtkDataSetAttributes *dsa)
void | IntersectFieldList (vtkDataSetAttributes *dsa)
int | IsAttributePresent (int attrType)
int | GetNumberOfFields ()
int | GetFieldIndex (int i)
int | GetDSAIndex (int index, int i)
## Protected Methods
| FieldList (const FieldList &)
void | operator= (const FieldList &)
## Friends
class | vtkDataSetAttributes

## Constructor & Destructor Documentation

vtkDataSetAttributes::FieldList::FieldList | ( | int | numInputs | ) |

vtkDataSetAttributes::FieldList::~FieldList | ( |  | ) |

vtkDataSetAttributes::FieldList::FieldList | ( | const FieldList & |  | ) | `[inline, protected]`

| Definition at line 425 of file vtkDataSetAttributes.h.

## Member Function Documentation

void vtkDataSetAttributes::FieldList::InitializeFieldList | ( | vtkDataSetAttributes * | dsa | ) |

void vtkDataSetAttributes::FieldList::IntersectFieldList | ( | vtkDataSetAttributes * | dsa | ) |

int vtkDataSetAttributes::FieldList::IsAttributePresent | ( | int | attrType | ) |

int vtkDataSetAttributes::FieldList::GetNumberOfFields | ( |  | ) | `[inline]`

| Definition at line 418 of file vtkDataSetAttributes.h.

int vtkDataSetAttributes::FieldList::GetFieldIndex | ( | int | i | ) | `[inline]`

| Definition at line 419 of file vtkDataSetAttributes.h.

int vtkDataSetAttributes::FieldList::GetDSAIndex | ( | int | index,
|  | int | i
| ) | `[inline]`

| Definition at line 420 of file vtkDataSetAttributes.h.

void vtkDataSetAttributes::FieldList::operator= | ( | const FieldList & |  | ) | `[inline, protected]`

| Definition at line 426 of file vtkDataSetAttributes.h.

## Friends And Related Function Documentation

friend class vtkDataSetAttributes`[friend]`

| Definition at line 422 of file vtkDataSetAttributes.h.

The documentation for this class was generated from the following file:

- Common/vtkDataSetAttributes.h